Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2024/04/10 ------------------------------------
Public Class frmDlgUserBtnSet

    Event ボタンTextChanged(ByVal rUser As String, ByVal rColumnIndex_0Base As Integer, ByVal rRowIndex_0Base As Integer, ByVal rNewCap As String)

    Private mUser As String = ""

    Friend Function frmDlgUserBtnSet_LoadShow1(ByVal rOwner As Form, ByVal User As String, ByVal Texts As String, ByVal Cut As String) As Boolean
        mUser = User
        DataGridView1.Visible = True
        DataGridView1.BackColor = Color.Coral
        Dim wAry() As String = {""}
        Dim m As Integer = Ⅹ文をカットして配列にする(Texts, Cut, wAry)
        Dim sss(9) As String
        Dim a, c, n, r As Integer
        For c = 0 To 9
            For a = 0 To 9
                n = c * 10 + a + 1
                If n > m Then GoTo LOOPOFF
                sss(a) = wAry(n)
            Next
            r = DataGridView1.Rows.Add(sss)
            DataGridView1.Rows(r).HeaderCell.Value = CStr(c + 1)
        Next
LOOPOFF:
        DataGridView1.Rows(0).Visible = False
        Me.Icon = rOwner.Icon
        gggint = ⅩFormMove(gcoフォームをスクリーン内に移動, Me)
        Me.ShowDialog(rOwner)
    End Function

    Private Sub DataGridView1_CellEndEdit(ByVal sender As Object, ByVal e As DataGridViewCellEventArgs) Handles DataGridView1.CellEndEdit
        qqqqq("DataGridView1_CellEndEdit")
        Try
            Dim sss As String = DataGridView1.Item(e.ColumnIndex, e.RowIndex).FormattedValue
            RaiseEvent ボタンTextChanged(mUser, e.ColumnIndex, e.RowIndex, sss)
        Catch ex As Exception
            MsgBox("ERROR in DataGridView1_CellEndEdit()" & ex.ToString)
        End Try
    End Sub

    Private Sub btnClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClose.Click
        Me.Close()
    End Sub

    Private Sub frmDlgUserBtnSet_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub
End Class